# DAGetAO

Gets the application ordering context for a distributed array.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAGetAO(DA da,AO *ao)

Collective on DA

### Input Parameter

da -the distributed array

### Output Parameters

ao -the application ordering context for DAs

### Notes

In this case, the AO maps to the natural grid ordering that would be used for the DA if only 1 processor were employed (ordering most rapidly in the x-direction, then y, then z). Multiple degrees of freedom are numbered for each node (rather than 1 component for the whole grid, then the next component, etc.)

### Keywords

distributed array, get, global, indices, local-to-global

### See Also

DACreate2d(), DAGetGhostCorners(), DAGetCorners(), DALocalToGlocal()
DAGlobalToLocalBegin(), DAGlobalToLocalEnd(), DALocalToLocalBegin(), DALocalToLocalEnd(), DAGetGlobalIndices()

Level:intermediate
Location: src/dm/da/src/daindex.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages